import { type ComponentProps, type FC, type ReactElement } from 'react';
import type { Button } from '../Button';
export declare const RemoteDialogTrigger: FC<Pick<ComponentProps<typeof Button>, 'variant'> & {
    targetId: string;
    onClick?: (open: () => void) => void;
    children: Omit<ReactElement, 'onClick' | 'aria-haspopup' | 'aria-controls' | 'variant'>;
}>;
