import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.11.21_@types_node@20.17.30_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';

/**
 * @param componentType
 * コンポーネントのタイプ (例: 'Time')
 */
const classNameGenerator = (componentType) => ce({
    slots: {
        wrapper: [
            `smarthr-ui-${componentType}Picker`,
            'shr-inline-block shr-border-shorthand shr-rounded-m shr-bg-white shr-px-0.5 shr-leading-none',
            'contrast-more:shr-border-high-contrast',
            'focus-within:shr-focus-indicator',
            'has-[[aria-invalid]]:shr-border-danger',
            'has-[:disabled]:shr-pointer-events-none has-[:disabled]:shr-bg-white-darken has-[:disabled]:[&&&]:shr-border-default/50',
            'has-[[readonly]]:shr-border-[theme(backgroundColor.background)] has-[[readonly]]:shr-bg-background',
        ],
        inner: [
            'shr-border-none shr-text-base shr-bg-transparent shr-text-black shr-outline-none shr-outline-0 shr-p-[unset] shr-py-0.75 shr-h-[theme(fontSize.base)] shr-tabular-nums shr-min-w-[5em]',
            'disabled:shr-text-disabled',
        ],
    },
})();

export { classNameGenerator };
//# sourceMappingURL=style.js.map
