import { merge } from '../libs/lodash.js';

const defaultZIndex = {
    AUTO: 'auto',
    DEFAULT: 0,
    FIXED_MENU: 100,
    OVERLAP_BASE: 10000,
    OVERLAP: 10500,
    FLASH_MESSAGE: 11000,
};
const createZIndex = (userZIndex = {}) => {
    const created = merge({
        ...defaultZIndex,
    }, userZIndex);
    return created;
};

export { createZIndex, defaultZIndex };
//# sourceMappingURL=createZIndex.js.map
