import { type ComponentProps, type FC, type ReactElement } from 'react';
import { ActionDialog } from '../ActionDialog';
type ToggleModalActionType = () => void;
export declare const ActionDialogWithTrigger: FC<Omit<ComponentProps<typeof ActionDialog>, 'isOpen' | 'onClickClose' | 'onPressEscape'> & {
    trigger: Omit<ReactElement, 'onClick' | 'aria-haspopup' | 'aria-controls'>;
    onClickTrigger?: (open: ToggleModalActionType) => void;
    onClickClose?: (close: ToggleModalActionType) => void;
    onPressEscape?: (close: ToggleModalActionType) => void;
}>;
export {};
