import { type ComponentProps, type FC, type PropsWithChildren } from 'react';
import { type VariantProps } from 'tailwind-variants';
type Props = PropsWithChildren<VariantProps<typeof classNameGenerator>>;
type ElementProps = Omit<ComponentProps<'table'>, keyof Props>;
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    borderType: {
        horizontal: string;
        both: string;
    };
    layout: {
        auto: string;
        fixed: string;
    };
    fixedHead: {
        true: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config.js").TVConfig<{
    borderType: {
        horizontal: string;
        both: string;
    };
    layout: {
        auto: string;
        fixed: string;
    };
    fixedHead: {
        true: string;
    };
}, {
    borderType: {
        horizontal: string;
        both: string;
    };
    layout: {
        auto: string;
        fixed: string;
    };
    fixedHead: {
        true: string;
    };
}>, {
    borderType: {
        horizontal: string;
        both: string;
    };
    layout: {
        auto: string;
        fixed: string;
    };
    fixedHead: {
        true: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    borderType: {
        horizontal: string;
        both: string;
    };
    layout: {
        auto: string;
        fixed: string;
    };
    fixedHead: {
        true: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config.js").TVConfig<{
    borderType: {
        horizontal: string;
        both: string;
    };
    layout: {
        auto: string;
        fixed: string;
    };
    fixedHead: {
        true: string;
    };
}, {
    borderType: {
        horizontal: string;
        both: string;
    };
    layout: {
        auto: string;
        fixed: string;
    };
    fixedHead: {
        true: string;
    };
}>, unknown, unknown, undefined>>;
export declare const Table: FC<Props & ElementProps>;
export {};
