"use client";
import { jsx } from 'react/jsx-runtime';
import { IntlProvider as IntlProvider$1 } from 'react-intl';
import * as intl_locales_index from './locales/index.js';

const IntlProvider = ({ locale, children }) => (jsx(IntlProvider$1, { locale: locale, messages: intl_locales_index[locale], children: children }));

export { IntlProvider };
//# sourceMappingURL=IntlProvider.js.map
