import { merge } from '../libs/lodash.js';

const defaultLeading = {
    NONE: 1,
    TIGHT: 1.25,
    NORMAL: 1.5,
    RELAXED: 1.75,
};
const createLeading = (userLeading = {}) => {
    const { ...userTokens } = userLeading;
    const created = merge(defaultLeading, userTokens);
    return created;
};

export { createLeading, defaultLeading };
//# sourceMappingURL=createLeading.js.map
